/*
 Theme Name: Divi Child
 Theme URI: https://www.elegantthemes.com/gallery/divi/
 Description: Divi Child Theme
 Author: Lazare Boddaert
 Author URI: https://jardindeboheme.lazareboddaert.com/
 Template: Divi
 Version: 1.1.0
*/

/* =Theme customization starts here
------------------------------------------------------- */

/* cormorant-garamond-500 - latin */
@font-face {
  font-display: swap;
  font-family: 'Cormorant Garamond 500';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/cormorant-garamond-v20-latin-500.woff2') format('woff2');
}
/* cormorant-garamond-600 - latin */
@font-face {
  font-display: swap;
  font-family: 'Cormorant Garamond 600';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/cormorant-garamond-v20-latin-600.woff2') format('woff2');
}
/* cormorant-garamond-700 - latin */
@font-face {
  font-display: swap;
  font-family: 'Cormorant Garamond 700';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/cormorant-garamond-v20-latin-700.woff2') format('woff2');
}

/* crimson-text-regular - latin */
@font-face {
  font-display: swap;
  font-family: 'Crimson Text 500';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/crimson-text-v19-latin-regular.woff2') format('woff2');
}
/* crimson-text-600 - latin */
@font-face {
  font-display: swap;
  font-family: 'Crimson Text 600';
  font-style: normal;
  font-weight: 600;
  src: url('../fonts/crimson-text-v19-latin-600.woff2') format('woff2');
}
/* crimson-text-700 - latin */
@font-face {
  font-display: swap;
  font-family: 'Crimson Text 700';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/crimson-text-v19-latin-700.woff2') format('woff2');
}

:root {
	--color-main-green: #8e9340;
	--color-dark-green: #04471c;
	--color-light-green: #E8F7EE;
	--color-main-brown: #683e40;
	--color-main-grey: #e5e7e6;
	--color-main-red: #dd1533;
}

h1, h2, h3, h4, h5, h6 {
	color: var(--color-main-brown, #683e40);
	text-transform: none;
	text-decoration: none;
	line-height: 1.2em;
}

h1, h2, h3 {
	font-family: "Cormorant Garamond 700", Georgia, serif !important;
	font-weight: 700;
}
h4, h5, h6 {
	font-family: "Cormorant Garamond 600", Georgia, serif !important;
	font-weight: 600;
}

p, .et_pb_text_inner {
	font-family: "Crimson text 500", Verdana, serif !important;
	font-weight: 500;
	color: #000000;
	line-height: 1.2em;
}


.button:active, .et_pb_button_module_wrapper {
	transition: all 600ms ease !important;
}
.button:active, .et_pb_button_module_wrapper:active {
	transform: scale(.95) !important;
}
.et_pb_button_module_wrapper a {
	font-weight: 700 !important;
}
a {
	color: inherit !important;
	transition: color 600ms ease;
}

#menu-module-main .menu-item a, #menu-module-hp .menu-item a {
  	font-size: 28px !important;
  	font-weight: 600 !important;
}
#menu-module-main ul.sub-menu, #menu-module-hp ul.sub-menu {
	width: fit-content !important;
}
#menu-module-main ul.sub-menu li a, #menu-module-hp ul.sub-menu li a {
	font-size: 24px !important;
	width: max-content !important;
	max-width: 320px !important;
}
#menu-module-main li > a {
	color: #000 !important;
}
#menu-main-navbar li.menu-item-has-children:has(li.current-menu-item) > a, #menu-main-navbar li.current-menu-ancestor > a {
	color: var(--color-main-brown, #683e40) !important;
}
.et_pb_menu__icon {
	margin: 0 14px !important;
	transition: all 300ms ease !important;
}
.et_pb_menu__cart-button {
	margin-left: 28px !important;
}
.et_pb_menu__cart-button:active, .et_pb_menu__search-button:active {
	transform: scale(.95);
}

/* Display cart quantity in circle in menu */
.et_pb_menu__cart-count {
	background-color: #333;
	border-radius: 50%;
	min-width: 18px;
	height: 18px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-left: -12px;
	margin-bottom: -27px;
	z-index: 9;
	color: #fff !important;
	font-size: 12px !important;
	font-weight: 600 !important;
	font-family: sans-serif;
}
/* Replace default cart icon with bag icon */
.et_pb_menu__cart-button:after {
	content: "" !important;
    background-image: url('../../uploads/2025/08/shop.svg') !important;
	background-size: 28px 28px;
    display: inline-block;
    width: 28px; 
    height: 28px;
	margin-right: 0 !important;
}

.footer-titles {
	margin-bottom: 1.2rem;
	border-bottom: 2px solid var(--color-main-brown, #683e40);
	width: fit-content;
}
#menu-footer-module #menu-footer {
	flex-direction: column;
	gap: .6rem;
}
.footer-contact-item-wrapper {
	display: flex;
 	flex-direction: column;
 	gap: .6rem;
}
.footer-contact-item {
 	display: flex;
	flex-direction: row-reverse;
	align-items: flex-start;
 	gap: 6px;
}
.footer-contact-item-rs {
 	gap: 12px;
}

/* WOOCOMMERCE */
#main-content > .container {
	width: 100%;
	padding: 0 2rem;
}
#main-content .container:before {
	display: none;
}
#sidebar {
	margin-top: 6.5rem;
}
.wc-block-product-categories-list--depth-0 {
	margin-left: .6rem;
}
.wc-block-product-categories-list--depth-1 {
	margin-top: .2rem;
}
.wc-block-product-categories-list--depth-1 li {
	margin-bottom: 0rem !important;
	margin-left: .8rem !important;
}
.widget_block {
	margin-bottom: 0 !important;
}
.shop-sidebar-title {
	padding-bottom: .6rem;
}
.shop-sidebar-title-cat {
	margin-top: 2rem;
}
.proinput input {
	font-size:16px !important;
}

#page-container #main-content .products {
	margin-bottom: 0;
}
#page-container #main-content .products .product .et_overlay:before {
	content: "" !important;
}
#page-container #main-content .products .product .et_overlay {
	display: none !important;
}
#page-container #main-content .products .product {
	border-radius: 4px;
	border: 2px solid var(--color-main-green, #8e9340) !important;
	transition: all 400ms ease;
}
#page-container #main-content .products .product:active {
	transform: scale(.98);
}
#page-container #main-content .products .product .et_shop_image img {
	margin: 0 !important;
}
#page-container #main-content .products .product-card-infos {
	width: 100%;
	position: absolute;
	left: 0;
	bottom: 0;
	display: flex;
	flex-direction: row;
	gap: 6px;
	justify-content: space-between;
	align-items: center;
	padding: 6px 12px;
	background-color: rgba(0, 0, 0, .6);
}
#page-container #main-content .product-card-infos h3, .product-card-infos .price bdi {
	padding: 0 !important;
	color: #fff !important;
	transition: all 400ms ease;
}
#page-container #main-content .product-card-infos h3 {
	font-size: 24px !important;
}
#page-container #main-content .product-card-infos .price {
	font-size: 20px !important;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-end;
	max-width: 30%;
}
#page-container #main-content .product-card-infos .price ins {
	margin-left: 3px;
}
#page-container #main-content .product-card-infos .price del bdi {
	color: #F8F8F8 !important;
}
#page-container #main-content .woocommerce-pagination ul li a, #page-container #main-content  .woocommerce-pagination ul li span.current {
  background: none !important;
  color: grey !important;
  text-decoration: underline !important;
  text-decoration-color: transparent !important;
  text-underline-offset: 2px !important;
  transition: all 300ms ease !important;
}
#page-container #main-content .woocommerce-pagination ul li a.prev, .woocommerce-pagination ul li a.next {
  text-decoration: none !important;
}
#page-container #main-content .woocommerce-pagination ul li span.current {
  color: var(--color-main-brown, #683e40) !important;
  text-decoration-color: var(--color-main-brown, #683e40) !important;
}
#page-container #main-content .woocommerce-pagination .page-numbers {
  border: none !important;
}
#page-container #main-content .woocommerce-pagination li {
  border-right: none !important;
}

#page-container #main-content .product span.onsale {
  background-color: #DD1533 !important;
}

@media(hover: hover) and (pointer: fine) {
    a:hover {
		color: var(--color-main-green, #8e9340) !important;
	}
	.button:hover a, .button a:hover {
		color: #fff !important;
	}
	#menu-main-navbar li.menu-item > a:hover {
		color: var(--color-main-green, #8e9340) !important;
	}
	#menu-main-navbar li.current-menu-item > a, #menu-main-navbar li.current-menu-item > a:hover {
		color: var(--color-main-brown, #683e40) !important;
	}
	.et_mobile_menu li a:hover, .nav ul li a:hover {
		background: none !important;
	}
	.et_pb_menu__cart-button:hover, .et_pb_menu__search-button:hover {
		transform: scale(1.15);
	}
	#page-container #main-content .products .product:hover {
		border: 2px solid var(--color-dark-green, #04471c) !important;
		transform: scale(1.05);
	}
	#page-container #main-content .woocommerce-pagination ul li a:focus, #page-container #main-content .woocommerce-pagination ul li a:hover {
		color: var(--color-dark-green, #04471c) !important;
		text-decoration-color: var(--color-dark-green, #04471c) !important;
	}
}


@media all and (max-width: 1067px) {
	#page-container #main-content .product-card-infos h3 {
		font-size: 21px !important;
	}
	#page-container #main-content .product-card-infos .price {
		font-size: 18px !important;
	}
}

/*** XXX-LARGE (extra large Desktop) ***/
@media all and (min-width: 1600px) {

}

/*** XX-LARGE (large Desktop) ***/
@media all and (min-width: 1400px) and (max-width: 1599px) {

}

/*** X-LARGE (Desktop) ***/
@media all and (min-width: 1200px) and (max-width: 1399px) {
}

/*** LARGE (small Desktop) ***/
@media all and (min-width: 992px) and (max-width: 1199px) {

}

/*** ONLY DESKTOP ***/
@media all and (min-width: 992px) {
	p, .et_pb_text_inner {
		font-size: 21px !important;
	}
	h1 {
		font-size: 54px !important;
	}

	h2 {
		font-size: 46px !important;
	}

	h3 {
		font-size: 40px !important;
	}

	h4 {
		font-size: 36px !important;
	}

	h5 {
		font-size: 30px !important;
	}

	h6 {
		font-size: 26px !important;
	}
	span.et_pb_scroll_top {
		display: none !important;
	}
}

/*** Responsive Styles Tablet Only ***/
@media all and (min-width: 768px) and (max-width: 991px) {
	p {
		font-size: 20px !important;
	}
 	h1 {
		font-size: 48px !important;
	}

	h2 {
		font-size: 40px !important;
	}

	h3 {
		font-size: 34px !important;
	}

	h4 {
		font-size: 30px !important;
	}

	h5 {
		font-size: 28px !important;
	}

	h6 {
		font-size: 26px !important;
	}
	ul {
		font-size: 20px !important;
	}
}

/*** MEDIUM (tablet and bellow) ***/
@media all and (max-width: 991px) {
  .custom-row-order {
  	display: -webkit-box;
  	display: -moz-box;
  	display: -ms-flexbox;
  	display: -webkit-flex;
  	display: flex;
		-webkit-flex-wrap: wrap; /* Safari 6.1+ */
		flex-wrap: wrap;
	}
	.first-on-mobile {
		-webkit-order: 1;
		order: 1;
	}

	.second-on-mobile {
		-webkit-order: 2;
		order: 2;
	}

	.third-on-mobile {
		-webkit-order: 3;
		order: 3;
	}

	.fourth-on-mobile {
		-webkit-order: 4;
		order: 4;
	}
	
	#menu-module-hp .et_pb_menu__logo, #menu-module-main .et_pb_menu__logo {
		margin-right: 6px !important;
	}
	#menu-module-main .et_pb_menu__wrap, #menu-module-hp .et_pb_menu__wrap {
		flex-direction: row-reverse !important;
		justify-content: flex-start !important;
		flex-wrap: nowrap !important;
		align-items: center !important;
	}
	#menu-module-main .et_pb_menu__cart-button, #menu-module-hp .et_pb_menu__cart-button {
		margin-left: 8px !important;
		margin-right: 14px !important;
	}
	
	.hide-mobile-menu.et_pb_menu .et_pb_menu__menu, .hide-mobile-menu.et_pb_fullwidth_menu .et_pb_menu__menu, #menu-footer-module.et_pb_menu .et_pb_menu__menu, #menu-footer-module.et_pb_fullwidth_menu .et_pb_menu__menu {
		display: flex!important;
	}
	.hide-mobile-menu .et_mobile_nav_menu, #menu-footer-module .et_mobile_nav_menu {
		display: none!important;
	}
	#menu-footer-module .et_pb_menu__wrap {
		justify-content: center !important;
	}
	#menu-footer {
		align-items: center !important;
	}
	.footer-contact-item {
		flex-direction: row !important;
 		justify-content: center !important;
	}
	#mobile_menu1 a, #menu-module-hp .menu-item a {
		font-size: 26px !important;
	}
	#logo-footer-module img {
		margin-right: 6px !important;
	}

	.shop-sidebar-mobile-module {
		display: flex;
		flex-direction: column;
		align-items: flex-start;
	}
	.shop-sidebar-mobile-module > div.widget_block {
		margin-right: 0 !important;
		width: 100% !important;
	}
	.search-title-widget-mobile {
		padding-bottom: .6rem;
	}
	details.category-widget-mobile {
		margin-top: 1.2rem !important;
	}
	details.category-widget-mobile > summary {
  		list-style: none;
		font-size: 28px !important;
		color: var(--color-main-brown, #683e40);
	}
	.category-widget-mobile summary::-webkit-details-marker {
		display: none;
	}
	.category-widget-mobile summary::after {
		content: ' ►';
		font-size: 20px !important;
	}
	details.category-widget-mobile[open] summary:after {
		content: " ▼";
	}
	details.category-widget-mobile > div {
		margin-top: .6rem;
	}
}

/*** SMALL (horizontal phone) ***/
@media all and (max-width: 767px) {
	p {
		font-size: 19px !important;
	}
	h1 {
		font-size: 40px !important;
	}

	h2 {
		font-size: 34px !important;
	}

	h3 {
		font-size: 30px !important;
	}

	h4 {
		font-size: 28px !important;
	}

	h5 {
		font-size: 26px !important;
	}

	h6 {
		font-size: 24px !important;
	}
	ul {
		font-size: 19px !important;
	}
	#menu-main-navbar .menu-item a, .et_mobile_menu a {
		font-size: 20px !important;
	}
	#mobile_menu1 a, #menu-module-hp .menu-item a {
		font-size: 22px !important;
	}
	#page-container #main-content .product-card-infos h3 {
		font-size: 20px !important
	}
	.category-widget-mobile summary {
		font-size: 26px !important;
	}
}

/*** X-SMALL (vertical phone) ***/
@media all and (max-width: 575px) {
	#menu-module-hp .et_pb_menu__logo, #menu-module-main .et_pb_menu__logo {
		height: 70px !important;
		display: flex !important;
		align-items: center !important;
	}
	#menu-module-hp .et_pb_menu__logo img, #menu-module-main .et_pb_menu__logo img {
		width: 100% !important;
		max-width: 72px !important;
		min-width: 66px !important;
		height: auto !important;
	}
	#et-boc #navbar-col-2 {
		padding-right: 1rem !important;
		width: fit-content !important;
	}
	#et-boc #main-content .products li.product {
		min-width: 210px !important;
		max-width: 280px !important;
	}
}

@media all and (max-width: 500px) {
	#et-boc #main-content .products li.product {
		width: 100% !important;
		margin: 0 auto 1.6rem !important;
		float: none !important;
	}
}

@media all and (max-width: 420px) {
	.footer-contact-item-wrapper {
		gap: 1rem;
	}
	.footer-contact-item {
		flex-direction: column !important;
		align-items: center !important;
	}
	.footer-contact-item-rs {
		flex-direction: row !important;
	}
}

@media all and (max-width: 370px) {
	.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span {
		padding: .45rem !important;
	}
}